
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "towel/minitest/version"

Gem::Specification.new do |spec|
  spec.name          = "towel-minitest"
  spec.version       = Towel::Minitest::VERSION
  spec.authors       = ["Andrew Smith"]
  spec.email         = ["andrew@velvet.software"]

  spec.summary       = "Towel integration for collecting results from Minitest"
  spec.description   = <<END
Towel collects test results as they run, reporting them to towel.dev for easier
inspection, debugging, and sharing.
END
  spec.homepage      = "https://towel.dev"
  spec.license       = "MIT"

  if spec.respond_to?(:metadata)
    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = "https://bitbucket.org/VelvetSoftware/towel-ruby"
    spec.metadata["changelog_uri"] = "https://bitbucket.org/VelvetSoftware/towel-ruby/src/master/extensions/towel-minitest/CHANGELOG.md"
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "minitest", "~> 5.0"
  spec.add_dependency "towel", "~> 0.1"

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
