# Standard library
require "etc"
require "socket"

# Gems
require "concurrent"
require "grpc"
require "toml"

# Generated Protocol Buffer/gRPC definitions
require "towel/v1alpha/collector_pb"
require "towel/v1alpha/collector_services_pb"
require "towel/v1alpha/towel_pb"

require "towel/configuration"
require "towel/environment"
require "towel/log"
require "towel/log_io"
require "towel/session"
require "towel/version"

module Towel
  class Error < StandardError; end

  # Returns whether Towel has been disabled.
  def self.disabled?
    %w[DISABLE_TOWEL TOWEL_DISABLE].any? do |key|
      ENV.key?(key) && ENV[key] =~ /1|t(rue)?|y(es)?|disabled?/i
    end
  end
end
